display: unicode-without-blank.dis
table:
  locale: da
  grade: 1.5
  dots: 8
  __assert-match: da-dk-g28l.ctb
flags: {testmode: bothDirections}
tests:
# Test all characters from 0x21 to 0xff
  - [' ', ' ']
  - ['"', '⠶']
#
  - ['$', '⣲']
  - ['%', '⣚']
  - ['&', '⢯']
  - ['''', '⠈']
  - ['(', '⢦']
  - [')', '⢴']
  - ['*', '⠠⠔']
  - ['+', '⢖']
  - [',', '⠂']
  - ['-', '⢤']
  - ['.', '⠄']
  - ['/', '⢌']
  - ['0', '⢚']
  - ['1', '⢁']
  - ['2', '⢃']
  - ['3', '⢉']
  - ['4', '⢙']
  - ['5', '⢑']
  - ['6', '⢋']
  - ['7', '⢛']
  - ['8', '⢓']
  - ['9', '⢊']
  - [':', '⠒']
  - [';', '⠆']
  - ['<', '⢔']
  - ['=', '⢶']
  - ['>', '⡢']
  - ['?', '⠢']
  - ['@', '⣈']
  - ['A', '⠠⡁']
  - ['B', '⠠⡃']
  - ['C', '⠠⡉']
  - ['D', '⠠⡙']
  - ['E', '⠠⡑']
  - ['F', '⠠⡋']
  - ['G', '⠠⡛']
  - ['H', '⠠⡓']
  - ['I', '⡊']
  - ['J', '⠠⡚']
  - ['K', '⠠⡅']
  - ['L', '⠠⡇']
  - ['M', '⠠⡍']
  - ['N', '⠠⡝']
  - ['O', '⠠⡕']
  - ['P', '⠠⡏']
  - ['Q', '⠠⡟']
  - ['R', '⠠⡗']
  - ['S', '⠠⡎']
  - ['T', '⠠⡞']
  - ['U', '⠠⡥']
  - ['V', '⠠⡧']
  - ['W', '⠠⡺']
  - ['X', '⠠⡭']
  - ['Y', '⠠⡽']
  - ['Z', '⠠⡵']
  - ['[', '⣦']
  - ['\\', '⠠⡌']
  - [']', '⣴']
  - ['^', '⢏']
  - ['_', '⣤']
  - ['`', '⠐']
  - ['a', '⠠⠁']
  - ['b', '⠠⠃']
  - ['c', '⠠⠉']
  - ['d', '⠠⠙']
  - ['e', '⠠⠑']
  - ['f', '⠠⠋']
  - ['g', '⠠⠛']
  - ['h', '⠠⠓']
  - ['i', '⠊']
  - ['j', '⠠⠚']
  - ['k', '⠠⠅']
  - ['l', '⠠⠇']
  - ['m', '⠠⠍']
  - ['n', '⠠⠝']
  - ['o', '⠠⠕']
  - ['p', '⠠⠏']
  - ['q', '⠠⠟']
  - ['r', '⠠⠗']
  - ['s', '⠠⠎']
  - ['t', '⠠⠞']
  - ['u', '⠠⠥']
  - ['v', '⠠⠧']
  - ['w', '⠠⠺']
  - ['x', '⠠⠭']
  - ['y', '⠠⠽']
  - ['z', '⠠⠵']
  - ['{', '⣧']
  - ['|', '⢸']
  - ['}', '⣼']
  - ['~', '⡨']
  - ['€', '⣑']
  - ['‚', '⡘']
  - ['ƒ', '⢐']
  - ['„', '⣆']
  - ['…', '⠠⠄⠄⠄']
  - ['†', '⠠⡖']
  - ['‡', '⠠⣖']
  - ['ˆ', '⠠⣰']
  - ['‰', '⣺']
  - ['Š', '⠠⣎']
  - ['‹', '⠸']
  - ['Œ', '⠠⣕']
  - ['Ž', '⠠⡬']
  - ['‘', '⡈']
  - ['’', '⢈']
  - ['“', '⡆']
  - ['”', '⢰']
  - ['•', '⡄']
  - ['–', '⠠⠤']
  - ['—', '⠠⡤']
  - ['˜', '⠨']
  - ['™', '⣞']
  - ['š', '⠠⢎']
  - ['›', '⡸']
  - ['œ', '⠠⢕']
  - ['ž', '⠠⠬']
  - ['Ÿ', '⠠⣾']
  - [' ', '⢞']
  - ['¡', '⠠⠲', {xfail: true}]
  - ['¢', '⣒']
  - ['£', '⢇']
  - ['¤', '⠠⡦']
  - ['¥', '⡠']
  - ['¦', '⣌']
  - ['§', '⣐']
  - ['¨', '⠠⠰']
  - ['©', '⣭']
  - ['ª', '⠠⣮']
  - ['«', '⡐']
  - ['¬', '⠠⡼']
  - ['­', '⠠⣄']
  - ['®', '⣗']
  - ['¯', '⡶']
  - ['°', '⠠⠴', {xfail: true}]
  - ['±', '⢟']
  - ['²', '⢆']
  - ['³', '⢒']
  - ['´', '⢨']
  - ['µ', '⠠⠦']
  - ['¶', '⢿']
  - ['·', '⢄']
  - ['¸', '⣨']
  - ['¹', '⢂']
  - ['º', '⠠⣿']
  - ['»', '⡰']
  - ['¼', '⢝']
  - ['½', '⢘']
  - ['¾', '⠠⠼']
  - ['À', '⠠⡷']
  - ['Á', '⠠⣷']
  - ['Â', '⠠⣡']
  - ['Ã', '⠠⣩']
  - ['Ä', '⠠⣜']
  - ['Å', '⠠⡡']
  - ['Æ', '⠠⡜']
  - ['Ç', '⠠⡯']
  - ['È', '⠠⡮']
  - ['É', '⠠⡿']
  - ['Ê', '⠠⡣']
  - ['Ë', '⠠⡫']
  - ['Ì', '⠠⣱']
  - ['Í', '⠠⣣']
  - ['Î', '⠠⡩']
  - ['Ï', '⠠⡻']
  - ['Ð', '⠠⣽']
  - ['Ñ', '⠠⣻']
  - ['Ò', '⠠⣫']
  - ['Ó', '⠠⣬']
  - ['Ô', '⠠⡹']
  - ['Õ', '⠠⣹']
  - ['Ö', '⠠⣪']
  - ['×', '⢭']
  - ['Ø', '⠠⡪']
  - ['Ù', '⠠⡾']
  - ['Ú', '⠠⣳']
  - ['Û', '⠠⡱']
  - ['Ü', '⠠⡳']
  - ['Ý', '⠠⣍']
  - ['Þ', '⠠⣅']
  - ['ß', '⠠⢮']
  - ['à', '⠠⠷']
  - ['á', '⠠⢷']
  - ['â', '⠠⢡']
  - ['ã', '⠠⢩']
  - ['ä', '⠠⢜']
  - ['å', '⠠⠡']
  - ['æ', '⠠⠜']
  - ['ç', '⠠⠯']
  - ['è', '⠠⠮']
  - ['é', '⠠⠿']
  - ['ê', '⠠⠣']
  - ['ë', '⠠⠫']
  - ['ì', '⠠⢱']
  - ['í', '⠠⢣']
  - ['î', '⠠⠩']
  - ['ï', '⠠⠻']
  - ['ð', '⠠⢽']
  - ['ñ', '⠠⢻']
  - ['ò', '⠠⢫']
  - ['ó', '⠠⢬']
  - ['ô', '⠠⠹']
  - ['õ', '⠠⢹']
  - ['ö', '⠠⢪']
  - ['÷', '⢲']
  - ['ø', '⠠⠪']
  - ['ù', '⠠⠾']
  - ['ú', '⠠⢳']
  - ['û', '⠠⠱']
  - ['ü', '⠠⠳']
  - ['ý', '⠠⢍']
  - ['þ', '⠠⢅']
  - ['ÿ', '⠠⢾']

# Misc Unicode chars
# For each accented letter, the first occurring instance is chosen for back-translation.
# There are no rules about this in the specs of Danish Braille,
# So the choice is arbitrary and may change over time.

  - ['\x0100\x0101', '⠐⡁⠐⠁'] 
  - ['\x0106\x0107', '⠐⡉⠐⠉']
  - ['\x010e\x010f', '⠐⡙⠐⠙']
  - ['\x0112\x0113', '⠐⡑⠐⠑']
  - ['\x011c\x011d', '⠐⡛⠐⠛']
  - ['\x0124\x0125', '⠐⡓⠐⠓']
  - ['\x0128\x0129', '⠐⡊⠐⠊']
  - ['\x0134\x0135', '⠐⡚⠐⠚']
  - ['\x0136\x0137', '⠐⡅⠐⠅']
  - ['\x0138', '⠐⠟']
  - ['\x0139\x013a', '⠐⡇⠐⠇']
  - ['\x0143\x0144', '⠐⡝⠐⠝']
  - ['\x014c\x014d', '⠐⡕⠐⠕']
  - ['\x0154\x0155', '⠐⡗⠐⠗']
  - ['\x015a\x015b', '⠐⡎⠐⠎']
  - ['\x0162\x0163', '⠐⡞⠐⠞']
  - ['\x0168\x0169', '⠐⡥⠐⠥']
  - ['\x0174\x0175', '⠐⡺⠐⠺']
  - ['\x0176\x0177', '⠐⡽⠐⠽']
  - ['\x0179\x017a', '⠐⡵⠐⠵']

# Greek letters (with dots 458 as prefix)

  - ['\x0386\x03ac', '⢘⠐⡁⢘⠐⠁']
  - ['\x0388\x03ad', '⢘⠐⡑⢘⠐⠑']
  - ['\x0389\x03ae', '⢘⠐⡱⢘⠐⠱']
  - ['\x038a\x03af', '⢘⠐⡊⢘⠐⠊']
  - ['\x038c\x03cc', '⢘⠐⡕⢘⠐⠕']
  - ['\x038e\x03cd', '⢘⠐⡥⢘⠐⠥']
  - ['\x038f\x03ce', '⢘⠐⡺⢘⠐⠺']
  - ['\x0391\x03b1', '⢘⡁⢘⠁']
  - ['\x0392\x03b2', '⢘⡃⢘⠃']
  - ['\x0393\x03b3', '⢘⡛⢘⠛']
  - ['\x0394\x03b4', '⢘⡙⢘⠙']
  - ['\x0395\x03b5', '⢘⡑⢘⠑']
  - ['\x0396\x03b6', '⢘⡵⢘⠵']
  - ['\x0397\x03b7', '⢘⡱⢘⠱']
  - ['\x0398\x03b8', '⢘⡹⢘⠹']
  - ['\x0399\x03b9', '⢘⡊⢘⠊']
  - ['\x039a\x03ba', '⢘⡅⢘⠅']
  - ['\x039b\x03bb', '⢘⡇⢘⠇']
  - ['\x039c\x03bc', '⢘⡍⢘⠍']
  - ['\x039d\x03bd', '⢘⡝⢘⠝']
  - ['\x039e\x03be', '⢘⡭⢘⠭']
  - ['\x039f\x03bf', '⢘⡕⢘⠕']
  - ['\x03a0\x03c0', '⢘⡏⢘⠏']
  - ['\x03a1\x03c1', '⢘⡗⢘⠗']
  - ['\x03a3\x03c3', '⢘⡎⢘⠎']
  - ['\x03a4\x03c4', '⢘⡞⢘⠞']
  - ['\x03a5\x03c5', '⢘⡥⢘⠥']
  - ['\x03a6\x03c6', '⢘⡋⢘⠋']
  - ['\x03a7\x03c7', '⢘⡯⢘⠯']
  - ['\x03a8\x03c8', '⢘⡽⢘⠽']
  - ['\x03a9\x03c9', '⢘⡺⢘⠺']

# Punctuation and bullits

  - ['\x2016', '⠘⢸']
  - ['\x2017', '⠘⣤']

# Arrows

  - ['\x2190', '⠘⠳⠪']
  - ['\x2191', '⠘⠳⠬']
  - ['\x2192', '⠘⠳⠕']
  - ['\x2193', '⠘⠳⠩']
  - ['\x2194', '⠘⠳⠺⠗⠕']
  - ['\x2196', '⠘⠳⠱']
  - ['\x2197', '⠘⠳⠎']
  - ['\x2198', '⠘⠳⠣']
  - ['\x2199', '⠘⠳⠜']
  - ['\x21D4', '⠘⠳⠺⠶⠗⠕']

# Math signs (experimental)

  - ['\x2200', '⠘⠁']
  - ['\x2208', '⠘⠑']
  - ['\x2213', '⠸⠤']
  - ['\x221d', '⠸⠐⢶']
  - ['\x2229', '⠨⠦']
  - ['\x222a', '⠨⠖']
  - ['\x2243', '⠸⠔']
  - ['\x2245', '⠐⠘⠔']
  - ['\x2248', '⠘⠔']
  - ['\x224f', '⠘⠐⢶']
  - ['\x2251', '⠨⠐⢶']
  - ['\x2260', '⠐⢶⠈⠱']
  - ['\x2261', '⠸⠿']
  - ['\x2264', '⠸⢔']
  - ['\x2265', '⠸⡢']
  - ['\x226a', '⠨⢔']
  - ['\x226b', '⠨⡢']
  - ['\x22c5', '⠐⠲']

# Pangram
  - ['Quizdeltagerne spiste jordbær med fløde, mens cirkusklovnen Walther spillede på xylofon.', '⠠⡟⠥⠊⠠⠵⠙⠑⠇⠞⠁⠛⠑⠗⠝⠑ ⠎⠏⠊⠎⠞⠑ ⠚⠕⠗⠙⠃⠜⠗ ⠍ ⠋⠇⠪⠙⠑⠂ ⠍⠑⠝⠎ ⠉⠊⠗⠅⠥⠎⠅⠇⠕⠧⠝⠑⠝ ⠠⡺⠁⠇⠞⠓⠑⠗ ⠎⠏⠊⠇⠇⠑⠙⠑ ⠏ ⠠⠭⠽⠇⠕⠋⠕⠝⠄']

# no letsign before numbers

  - ['v8', '⠠⠧⢓']
  - ['A4', '⠠⡁⢙']
  - ['Eleva2ren', '⡑⠇⠑⠧⠁⢃⠗⠑⠝']

# URLs emails and file names

  - ['$at', '⣲⠁⠞']
  - ['\\at\\bliver', '⠠⡌⠁⠞⠠⡌⠃⠇⠊⠧⠑⠗']
  - ['at@bliver.og', '⠁⠞⣈⠃⠇⠊⠧⠑⠗⠄⠕⠛']
  - ['http://at.bliver.og', '⠓⠞⠞⠏⠒⢌⢌⠁⠞⠄⠃⠇⠊⠧⠑⠗⠄⠕⠛']
  - ['www.at.bliver.og', '⠠⠺⠠⠺⠠⠺⠄⠁⠞⠄⠃⠇⠊⠧⠑⠗⠄⠕⠛']
  - ['at.bliver.com', '⠁⠞⠄⠃⠇⠊⠧⠑⠗⠄⠉⠕⠍']
  - ['www.a.b.c', '⠠⠺⠠⠺⠠⠺⠄⠠⠁⠄⠠⠃⠄⠠⠉']

# Single cell word contractions

  - ['At', '⡁']
  - ['at', '⠁']
  - ['Bliver', '⡃']
  - ['bliver', '⠃']
  - ['Og', '⡉']
  - ['og', '⠉']
  - ['Du', '⡙']
  - ['du', '⠙']
  - ['Eller', '⡑']
  - ['eller', '⠑']
  - ['For', '⡋']
  - ['for', '⠋']
  - ['Gør', '⡛']
  - ['gør', '⠛']
  - ['Har', '⡓']
  - ['har', '⠓']
  - ['Jeg', '⡚']
  - ['jeg', '⠚']
  - ['Kan', '⡅']
  - ['kan', '⠅']
  - ['Lige', '⡇']
  - ['lige', '⠇']
  - ['Med', '⡍']
  - ['med', '⠍']
  - ['Når', '⡝']
  - ['når', '⠝']
  - ['Op', '⡕']
  - ['op', '⠕']
  - ['På', '⡏']
  - ['på', '⠏']
  - ['Under', '⡟']
  - ['under', '⠟']
  - ['Rigtig', '⡗']
  - ['rigtig', '⠗']
  - ['Som', '⡎']
  - ['som', '⠎']
  - ['Til', '⡞']
  - ['til', '⠞']
  - ['Hun', '⡥']
  - ['hun', '⠥']
  - ['Ved', '⡧']
  - ['ved', '⠧']
  - ['Hvad', '⡺']
  - ['hvad', '⠺']
  - ['Over', '⡭']
  - ['over', '⠭']
  - ['Han', '⡽']
  - ['han', '⠽']
  - ['Efter', '⡵']
  - ['efter', '⠵']
  - ['Være', '⡜']
  - ['være', '⠜']
  - ['Før', '⡪']
  - ['før', '⠪']
  - ['Så', '⡡']
  - ['så', '⠡']
  - ['Den', '⡯']
  - ['den', '⠯']
  - ['Der', '⡾']
  - ['der', '⠾']
  - ['Det', '⡮']
  - ['det', '⠮']
  - ['De', '⡹']
  - ['de', '⠹']
  - ['En', '⡣']
  - ['en', '⠣']
  - ['Er', '⡱']
  - ['er', '⠱']
  - ['Et', '⡬']
  - ['et', '⠬']
  - ['Gennem', '⡻']
  - ['gennem', '⠻']
  - ['Hvor', '⡌']
  - ['hvor', '⠌']
  - ['Men', '⡩']
  - ['men', '⠩']
  - ['Ned', '⡫']
  - ['ned', '⠫']
  - ['Ret', '⡷']
  - ['ret', '⠷']
  - ['Skal', '⡿']
  - ['skal', '⠿']
  - ['Te', '⡳']
  - ['te', '⠳']
  - ['Ve', '⡼']
  - ['ve', '⠼']
# capsnocont
  - ['UNDER et', '⡥⡝⡙⡑⡗ ⠬']

# No single cell contractions before or after dashes

  - ['at-bliver', '⠁⠞⢤⠃⠇⠊⠧⠑⠗', {xfail: true}]
  - ['d-d-du', '⠠⠙⢤⠠⠙⢤⠙⠥', {xfail: true}]

# combinations with slashes and other punctuation signs

  - ['Han/hun', '⡽⢌⠥']
  - ['han/hun', '⠽⢌⠥']
  - ['Over/under', '⡭⢌⠟']
  - ['over/under', '⠭⢌⠟']
  - ['Til/fra', '⡞⢌⠋', {xfail: true}]
  - ['til/fra', '⠞⢌⠋', {xfail: true}]

# Combinations which require letsign

  - ['1st', '⢁⠠⠎⠞']
  - ['2nd', '⢃⠠⠝⠙', {xfail: true}]
  - ['1A', '⢁⠠⡁']
  - ['1a', '⢁⠠⠁']
  - ['2B', '⢃⠠⡃']
  - ['2b', '⢃⠠⠃']

flags: {testmode: forward}
# Characters and constructs which cannot be properly back-translated
tests:
  - ['\x0102\x0103', '⠐⡁⠐⠁'] 
  - ['\x0104\x0105', '⠐⡁⠐⠁'] 
  - ['\x0108\x0109', '⠐⡉⠐⠉']
  - ['\x010a\x010b', '⠐⡉⠐⠉']
  - ['\x010c\x010d', '⠐⡉⠐⠉']
  - ['\x0110\x0111', '⠐⡙⠐⠙']
  - ['\x0114\x0115', '⠐⡑⠐⠑']
  - ['\x0116\x0117', '⠐⡑⠐⠑']
  - ['\x0118\x0119', '⠐⡑⠐⠑']
  - ['\x011a\x011b', '⠐⡑⠐⠑']
  - ['\x011e\x011f', '⠐⡛⠐⠛']
  - ['\x0120\x0121', '⠐⡛⠐⠛']
  - ['\x0122\x0123', '⠐⡛⠐⠛']
  - ['\x0126\x0127', '⠐⡓⠐⠓']
  - ['\x012a\x012b', '⠐⡊⠐⠊']
  - ['\x012c\x012d', '⠐⡊⠐⠊']
  - ['\x012e\x012f', '⠐⡊⠐⠊']
  - ['\x0130\x0131', '⠐⡊⠐⠊']
  - ['\x0132\x0133', '⡊⠚⠊⠚']
  - ['\x013b\x013c', '⠐⡇⠐⠇']
  - ['\x013d\x013e', '⠐⡇⠐⠇']
  - ['\x013f\x0140', '⠐⡇⠐⠇']
  - ['\x0141\x0142', '⠐⡇⠐⠇']
  - ['\x0145\x0146', '⠐⡝⠐⠝']
  - ['\x0147\x0148', '⠐⡝⠐⠝']
  - ['\x0149', '⠈⠝']
  - ['\x014a\x014b', '⠐⡝⠐⠝']
  - ['\x014e\x014f', '⠐⡕⠐⠕']
  - ['\x0150\x0151', '⠐⡕⠐⠕']
  - ['\x0156\x0157', '⠐⡗⠐⠗']
  - ['\x0158\x0159', '⠐⡗⠐⠗']
  - ['\x015c\x015d', '⠐⡎⠐⠎']
  - ['\x015e\x015f', '⠐⡎⠐⠎']
  - ['\x0164\x0165', '⠐⡞⠐⠞']
  - ['\x0166\x0167', '⠐⡞⠐⠞']
  - ['\x016a\x016b', '⠐⡥⠐⠥']
  - ['\x016c\x016d', '⠐⡥⠐⠥']
  - ['\x016e\x016f', '⠐⡥⠐⠥']
  - ['\x0170\x0171', '⠐⡥⠐⠥']
  - ['\x0172\x0173', '⠐⡥⠐⠥']
  - ['\x017b\x017c', '⠐⡵⠐⠵']
  - ['\x017f', '⠐⠎']

# Punctuation and bullits

  - ['\x2000', ' ']
  - ['\x2001', ' ']
  - ['\x2002', ' ']
  - ['\x2003', ' ']
  - ['\x2004', ' ']
  - ['\x2005', ' ']
  - ['\x2006', ' ']
  - ['\x2007', ' ']
  - ['\x2008', ' ']
  - ['\x2009', ' ']
  - ['\x200a', ' ']
  - ['\x2010', '⢤']
  - ['\x2011', '⢤']
  - ['\x2012', '⢤']
  - ['\x201b', '⠈']
  - ['\x201f', '⠶']
  - ['\x2023', '⡄']
  - ['\x202f', ' ']
  - ['\x203c', '⠖⠖']
  - ['\x203d', '⠢⠖']
  - ['\x2043', '⡄']
  - ['\x2047', '⠢⠢']
  - ['\x2048', '⠢⠖']
  - ['\x2049', '⠖⠢']
  - ['\x204c', '⡄']
  - ['\x204d', '⡄']

# Geometrical shapes

  - ['\x25e6', '⡄']
